org.eclipse.eef

## Interface EEFWidgetDescription

All Superinterfaces:
  EEFControlDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EEFButtonDescription, EEFCheckboxDescription, EEFCustomWidgetDescription, EEFHyperlinkDescription, EEFLabelDescription, EEFListDescription, EEFRadioDescription, EEFSelectDescription, EEFTextDescription

All Known Implementing Classes:
  EEFButtonDescriptionImpl, EEFCheckboxDescriptionImpl, EEFCustomWidgetDescriptionImpl, EEFHyperlinkDescriptionImpl, EEFLabelDescriptionImpl, EEFListDescriptionImpl, EEFRadioDescriptionImpl, EEFSelectDescriptionImpl, EEFTextDescriptionImpl, EEFWidgetDescriptionImpl

    public interface EEFWidgetDescription
    extends EEFControlDescription

A representation of the model object 'EEF Widget Description'. Graphical element.

The following features are supported:

- `Label Expression`
- `Help Expression`
- `Is Enabled Expression`
- `Property Validation Rules`

See Also:
  `EefPackage.getEEFWidgetDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getHelpExpression()` Returns the value of the 'Help Expression' attribute.
`java.lang.String` `getIsEnabledExpression()` Returns the value of the 'Is Enabled Expression' attribute.
`java.lang.String` `getLabelExpression()` Returns the value of the 'Label Expression' attribute.
`org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription>` `getPropertyValidationRules()` Returns the value of the 'Property Validation Rules' reference list.
`void` `setHelpExpression(java.lang.String value)` Sets the value of the '`Help Expression`' attribute.
`void` `setIsEnabledExpression(java.lang.String value)` Sets the value of the '`Is Enabled Expression`' attribute.
`void` `setLabelExpression(java.lang.String value)` Sets the value of the '`Label Expression`' attribute.

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getLabelExpression

    java.lang.String getLabelExpression()

Returns the value of the 'Label Expression' attribute. The label of the Widget visible by the end-users.

Returns:
  the value of the 'Label Expression' attribute.
See Also:
  `setLabelExpression(String)`, `EefPackage.getEEFWidgetDescription_LabelExpression()`

#### setLabelExpression

    void setLabelExpression(java.lang.String value)

Sets the value of the '`Label Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Expression' attribute.
See Also:
  `getLabelExpression()`

#### getHelpExpression

    java.lang.String getHelpExpression()

Returns the value of the 'Help Expression' attribute. The tooltip of the help icon visible by the end-users

Returns:
  the value of the 'Help Expression' attribute.
See Also:
  `setHelpExpression(String)`, `EefPackage.getEEFWidgetDescription_HelpExpression()`

#### setHelpExpression

    void setHelpExpression(java.lang.String value)

Sets the value of the '`Help Expression`' attribute.

Parameters:
  `value` - the new value of the 'Help Expression' attribute.
See Also:
  `getHelpExpression()`

#### getIsEnabledExpression

    java.lang.String getIsEnabledExpression()

Returns the value of the 'Is Enabled Expression' attribute. The enablement rules to use for the widget.

Returns:
  the value of the 'Is Enabled Expression' attribute.
See Also:
  `setIsEnabledExpression(String)`, `EefPackage.getEEFWidgetDescription_IsEnabledExpression()`

#### setIsEnabledExpression

    void setIsEnabledExpression(java.lang.String value)

Sets the value of the '`Is Enabled Expression`' attribute.

Parameters:
  `value` - the new value of the 'Is Enabled Expression' attribute.
See Also:
  `getIsEnabledExpression()`

#### getPropertyValidationRules

    org.eclipse.emf.common.util.EList<EEFPropertyValidationRuleDescription> getPropertyValidationRules()

Returns the value of the 'Property Validation Rules' reference list. The list contents are of type `EEFPropertyValidationRuleDescription`. It is bidirectional and its opposite is '`Targets`'. The property validation rules to use for the widget.

Returns:
  the value of the 'Property Validation Rules' reference list.
See Also:
  `EefPackage.getEEFWidgetDescription_PropertyValidationRules()`, `EEFPropertyValidationRuleDescription.getTargets()`